descumm(6)

NAME
descumm - SCUMM script disassembler

SYNOPSIS
descumm -0|-1|-2|-3|-n|-z|-4|-5|-6|-7|-8|-g<NNN> [-u] [-o] [-i] [-e] [-f] [-w] [-b] [-c] [-x] [-h] <script>

DESCRIPTION
descumm disassembles SCUMM scripts.

The first argument determines the version:

-0  selects version 0 (Commodore 64)

-1|-2|-3
    selects version 1, 2, or 3 respectively, with no header

-n  selects version 3, with Indy 3-specific hacks

-z  selects version 3, with Zak-specific hacks

-4|-5|-6|-7|-8
    selects version 4 through 8 respectively

-g<NNN>
    selects Humongous Entertainment version NNN (always with three digits)

OPTIONS

-u  the script is unblocked (has no headers); this is set by default for versions 0 through 3

-o  always show offsets

-i  don't output ifs

-e  don't output else

-f  don't output else-if

-w  don't output while

-b  don't output breaks

-c  don't show opcodes

-x  don't show offsets

-h  halt on error

AUTHORS
This manual page was adapted from the program usage information by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was last modified for scummvm-tools version 2.0.